[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.CanUndo

Indicates whether the last change can be reverted in the control.

## Declaration

Source position: stdctrls.pp line 860

`public property TCustomEdit.CanUndo : Boolean read GetCanUndo;`

## Description

CanUndo is a read-only Boolean property which indicates whether the last editing change can be reverted in the control using the Undo method.

The property value is False if a handle has not been allocated for the widgetset class. Otherwise, the property value is determined by calling the GetCanUndo method in the widgetset class.